curl --request POST \
--url https://api.projectcor.com/v1/contracts/{contract_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"client_id": 123,
"name": "<string>",
"type": "<string>",
"source": "<string>",
"status": "<string>",
"company_id": 123,
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z",
"frequency": "<string>",
"currency_id": 123,
"json_integrations": {},
"url": "<string>",
"url_name": "<string>",
"user_positions_header_id": 123
}
'import requests
url = "https://api.projectcor.com/v1/contracts/{contract_id}"
payload = {
"client_id": 123,
"name": "<string>",
"type": "<string>",
"source": "<string>",
"status": "<string>",
"company_id": 123,
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z",
"frequency": "<string>",
"currency_id": 123,
"json_integrations": {},
"url": "<string>",
"url_name": "<string>",
"user_positions_header_id": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
client_id: 123,
name: '<string>',
type: '<string>',
source: '<string>',
status: '<string>',
company_id: 123,
start: '2023-11-07T05:31:56Z',
end: '2023-11-07T05:31:56Z',
frequency: '<string>',
currency_id: 123,
json_integrations: {},
url: '<string>',
url_name: '<string>',
user_positions_header_id: 123
})
};
fetch('https://api.projectcor.com/v1/contracts/{contract_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.projectcor.com/v1/contracts/{contract_id}';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
client_id: 123,
name: '<string>',
type: '<string>',
source: '<string>',
status: '<string>',
company_id: 123,
start: '2023-11-07T05:31:56Z',
end: '2023-11-07T05:31:56Z',
frequency: '<string>',
currency_id: 123,
json_integrations: {},
url: '<string>',
url_name: '<string>',
user_positions_header_id: 123
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.projectcor.com/v1/contracts/{contract_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'client_id' => 123,
'name' => '<string>',
'type' => '<string>',
'source' => '<string>',
'status' => '<string>',
'company_id' => 123,
'start' => '2023-11-07T05:31:56Z',
'end' => '2023-11-07T05:31:56Z',
'frequency' => '<string>',
'currency_id' => 123,
'json_integrations' => [
],
'url' => '<string>',
'url_name' => '<string>',
'user_positions_header_id' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.projectcor.com/v1/contracts/{contract_id}"
payload := strings.NewReader("{\n \"client_id\": 123,\n \"name\": \"<string>\",\n \"type\": \"<string>\",\n \"source\": \"<string>\",\n \"status\": \"<string>\",\n \"company_id\": 123,\n \"start\": \"2023-11-07T05:31:56Z\",\n \"end\": \"2023-11-07T05:31:56Z\",\n \"frequency\": \"<string>\",\n \"currency_id\": 123,\n \"json_integrations\": {},\n \"url\": \"<string>\",\n \"url_name\": \"<string>\",\n \"user_positions_header_id\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": 123,
"client_id": 123,
"json_integrations": {},
"name": "<string>",
"type": "<string>",
"source": "<string>",
"status": "<string>",
"company_id": 123,
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z",
"frequency": "<string>",
"currency_id": 123,
"currency": {
"id": 123,
"name": "<string>"
},
"url": "<string>",
"url_name": "<string>",
"user_positions_header_id": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z"
}Create contract
Creates a contract using the provided contract identifier.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
Client ID
Contract name
Contract type
Source of the contract
Contract status
Company ID
Contract start date-time
Contract end date-time
Contract billing frequency
Currency ID
Integration payload stored as JSON
External URL
External URL name
User positions header ID
Response
Contract created successfully
Contract entity
Contract ID
Client ID
Integration payload stored as JSON
Contract name
Contract type
Source of the contract
Contract status
Company ID
Contract start date-time
Contract end date-time
Contract billing frequency
Currency ID
Show child attributes
Show child attributes
External URL
External URL name
User positions header ID
Creation timestamp
Last update timestamp
Deletion timestamp (soft delete)
Was this page helpful?

